/* Annotate a function with its return type */
export function R_(type, fn) {
   return {returns: type, via: fn}
}

export function isReturnAnnotated(x) {
   return x && typeof x === 'object' && 'returns' in x && 'via' in x
}

export default R_

